gdcm::network::NGetRQ Class Reference

NGetRQ. More...

`#include <gdcmNGetMessages.h>`

Inheritance diagram for gdcm::network::NGetRQ:
[legend]
Collaboration diagram for gdcm::network::NGetRQ:
[legend]

## Public Member Functions

std::vector< PresentationDataValue > | ConstructPDV (const ULConnection &inConnection, const BaseQuery *inQuery) override
Public Member Functions inherited from gdcm::network::BaseNormalizedMessage
virtual | ~BaseNormalizedMessage ()=default

## Detailed Description

NGetRQ.

this file defines the messages for the nget action

## Member Function Documentation

## ConstructPDV()

std::vector< PresentationDataValue > gdcm::network::NGetRQ::ConstructPDV | ( | const ULConnection & | inConnection,
|  | const BaseQuery * | inQuery )

override virtual

Implements gdcm::network::BaseNormalizedMessage.

The documentation for this class was generated from the following file:

- gdcmNGetMessages.h